#ifndef BUSSIM_EVENT_H_INCLUDED
#define BUSSIM_EVENT_H_INCLUDED

#include <fstream>

struct BUSSIM_EVENT {

    double timestamp;
    int type;
    char desc[256];
    struct BUSSIM_EVENT *previous;
    struct BUSSIM_EVENT *next;

    BUSSIM_EVENT();
    BUSSIM_EVENT(double _TIMESTAMP, int _TYPE, char* _DESC);
    void PRINT_ON_SCREEN(void);
    void PRINT_ON_SCREEN(std::fstream *FILEHANDLE);
    ~BUSSIM_EVENT();
};
#endif // BUSSIM_EVENT_H_INCLUDED
