//#include "bussim_rotation.h"
//#include "bussim_duty.h"
#include "bussim_global.h"

BUSSIM_ROTATION::BUSSIM_ROTATION()
{
    // this is the standard constructor
    this->ID = -1;
    this->duties = 0;
    current_duty_num = 1;

    this->first_duty = nullptr;
    this->last_duty = nullptr;

    this->current_duty = nullptr;
}

BUSSIM_ROTATION::BUSSIM_ROTATION(int _ID)
{
    // this is the standard constructor
    this->ID = _ID;
    this->duties = 0;
    current_duty_num = 1;

    this->first_duty = nullptr;
    this->last_duty = nullptr;

    this->current_duty = nullptr;
}

BUSSIM_ROTATION::~BUSSIM_ROTATION()
{
    // this is the standard constructor

}

void BUSSIM_ROTATION::append_duty(class BUSSIM_DUTY *_DUTY)
{
    // append a duty to the rotation

    if( this->duties < 1 )
    {
        // no duty saved so far
        _DUTY->next = nullptr;
        this->first_duty = _DUTY;
        this->last_duty = _DUTY;
    }
    else
    {
        // some duties are already saved
        _DUTY->next = nullptr;
        this->last_duty->next = _DUTY;
        this->last_duty = _DUTY;
    }

    this->duties++;
}
